import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (l, r, c, o) => {
  for (var e = o > 1 ? void 0 : o ? m(r, c) : r, i = l.length - 1, s; i >= 0; i--)
    (s = l[i]) && (e = (o ? s(r, c, e) : s(e)) || e);
  return o && e && g(r, c, e), e;
};
let t = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--facebookCircleLarge", this.class = "c-pieIcon c-pieIcon--facebookCircleLarge", this.name = "IconSocialFacebookCircleLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--facebookCircleLarge"><path d="M16 3.671a12.25 12.25 0 1 0 0 24.5 12.25 12.25 0 0 0 0-24.5m0 22.75a10.5 10.5 0 1 1 10.5-10.5A10.5 10.5 0 0 1 16 26.431z"></path><path d="M14.434 12.185v1.986H12.15v2.625h2.284v6.283a8.8 8.8 0 0 0 2.817 0V16.77h2.092l.402-2.625h-2.494V12.5a1.295 1.295 0 0 1 1.461-1.409h1.138v-2.23a14 14 0 0 0-2.013-.176 3.176 3.176 0 0 0-3.403 3.5"></path></svg>`;
  }
};
a([
  p({ type: String, reflect: !0 })
], t.prototype, "size", 2);
a([
  p({ type: String, reflect: !0 })
], t.prototype, "class", 2);
t = a([
  f("icon-social-facebook-circle-large")
], t);
export {
  t as IconSocialFacebookCircleLarge
};
